Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452832 - Review Request: perl-Math-FFT - Perl extension for Fast Fourier Transforms
Summary: Review Request: perl-Math-FFT - Perl extension for Fast Fourier Transforms
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2008-06-25 12:05 UTC by Miroslav Suchý
Modified: 2009-05-22 16:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-01 11:35:33 UTC
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2008-06-25 12:05:38 UTC
Spec URL: http://miroslav.suchy.cz/fedora/perl-Math-FFT/perl-Math-FFT.spec
SRPM URL:
http://miroslav.suchy.cz/fedora/perl-Math-FFT/perl-Math-FFT-1.28-1.fc9.src.rpm
Description:
This module implements some algorithms for calculating
Fast Fourier Transforms for one-dimensional data sets of size 2^n.

This is my first package, and I'm seeking a sponsor.

Comment 1 Dan Horák 2008-06-25 12:28:53 UTC
Please, no generated specs by cpan2rpm. When you need a spec generator, then you
can use rpmdev-newspec from rpmdevtools package. It has a special mode for Perl
packages and works very well.

See the following links:
http://fedoraproject.org/wiki/PackageMaintainers#Get_Involved
http://spot.fedorapeople.org/Summit2008/GoodRPMPackages-TomCallaway-2008.pdf

Comment 2 Lubomir Rintel 2008-06-25 12:53:42 UTC
Miroslav: You may prefer using cpanspec; the generated SPEC files mostly comply
with the Fedora guidelines, you'll probably have to do just minor adjustments
such as verifying a License, and possibly adding missing dependencies.

Comment 3 Miroslav Suchý 2008-06-25 20:03:00 UTC
OK. I used cpanspec and it indeed produce much better spec (although not
relocatable).
URL are the same:
Spec URL: http://miroslav.suchy.cz/fedora/perl-Math-FFT/perl-Math-FFT.spec
SRPM URL:
http://miroslav.suchy.cz/fedora/perl-Math-FFT/perl-Math-FFT-1.28-1.fc9.src.rpm

Can you try it now, please?

Comment 4 Lubomir Rintel 2008-06-27 13:46:55 UTC
Miroslav: Thanks for the updated package. Please note that relocatable packages
are deprecated for Fedora [1], so not being relocatable is not an issue at all.

[1] http://fedoraproject.org/wiki/Packaging/Guidelines#Relocatable_packages

RPMLint is quiet.
Spec file is clean legible.

1.) Licensing

Seems like the copyright status of several pieces of code is not known. As per
module's documentation [2], fft4g.c is not necessarily covered by this module's
license. According to original author's [3] website, the file is public domain.
Please do the following:

* Add " and Public Domain" to the License: tag, and accompany it with a comment
about which parts of the code are covered by which license.

* Encourage the upstream author to include verbatim copy of the copyright
disclaimer (as in [3]) in this package's documentation.

[2] http://search.cpan.org/dist/Math-FFT/FFT.pm#COPYRIGHT
[3] http://www.kurims.kyoto-u.ac.jp/~ooura/fft.html

arrays.c file that comes from PGPLOT package is covered by the very same license
as this module's code [4]. You are encouraged to ask this package's upstream to
reflect this fact in their documentation, and please add appropriate comment to
the License: tag in your spec file as well.

[4] http://search.cpan.org/src/KGB/PGPLOT-2.20/LICENSE

2.) Package does not build due to lacking dependencies

Addding BuildRequires: perl(ExtUtils::MakeMaker.pm) might be enough.


Comment 5 Lubomir Rintel 2008-06-28 21:14:17 UTC
To be a bit more clear; only the license tag with the comment and the missing
dependecy are considered blockers with respect to guidelines.

Comment 6 Miroslav Suchý 2008-06-30 11:33:29 UTC
Spec and srpm updated.

Comment 7 Lubomir Rintel 2008-06-30 11:44:36 UTC
License:        (GPL+ or Artistic) and Aritistic and Public Domain

This is still incorrect. There are no bits that are covered just by Artistic
license (that would not be permissible for Fedora anyway). I think this should
say "(GPL+ or Artistic) and Public Domain".

Given it's trivial to fix, this won't warrant a blocker.

APPROVED

Comment 8 Miroslav Suchý 2008-06-30 12:45:44 UTC
Oh, I misinterpreted the arrays.c. 
Fixed.

Comment 9 Miroslav Suchý 2008-06-30 13:07:36 UTC
New Package CVS Request
=======================
Package Name: perl-Math-FFT
Short Description: Perl extension for Fast Fourier Transforms
Owners: msuchy
Branches: devel
InitialCC:
Cvsextras Commits: yes

Comment 10 Kevin Fenzi 2008-06-30 16:27:30 UTC
cvs done.

Comment 11 Miroslav Suchý 2008-07-01 11:35:33 UTC
Successfully built:
http://koji.fedoraproject.org/koji/taskinfo?taskID=689467

Comment 12 Michael Stahnke 2008-07-09 21:29:05 UTC
Can you please push the updates to EL4, EL5, and possibly F9?  This would allow
the Spacewalk project to start building against this package and remove it from
their separate GIT/yum repo. 

Comment 13 Miroslav Suchý 2008-07-29 11:48:42 UTC
Package Change Request
======================
Package Name: perl-Math-FFT
New Branches: F-9 EL-4 EL-5



Comment 14 Kevin Fenzi 2008-07-29 15:43:39 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.